<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Why use TextGrid?
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Introduction_7439941.html">Introduction</a></span>
              </li>
              <li>
                <span><a href="Getting-Started_7439062.html">Getting Started</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Why use TextGrid?</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Philipp Vanscheidt</span> on May 29, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              The TextGrid Lab and TextGrid Rep were developed in cooperation with humanities researchers and reflect the needs of scholars who want to explore the research possibilities available through digital methods, either individually or within a community of geographically-dispersed researchers. Increasingly, many projects in the humanities dealing with complex research topics and large amounts of data involve scholars with different backgrounds and expertise; interdisciplinary research and collaborative partnership are made easier by using an integrated workspace such as TextGrid in which project and user administration is an integral component. Using TextGrid, scholars can conveniently and productively work together in a secure environment in which research data is reliably and securely stored. The tools and services available in TextGrid are flexible, expandable, and adaptable to various research methods. In addition, these tools will be maintained and updated to ensure
              long-term access to and re-use of research data.
            </p>
            <p>
              A virtual research environment such as TextGrid makes possible new forms of collaboration and research in a secure and reliable workspace. TextGrid offers the following features for facilitating humanities research:
            </p>
            <p>
              <strong>Administration and Workflow Organization</strong>
            </p>
            <p>
              These consist of core services to administer and organize projects:
            </p>
            <ul>
              <li>a sophisticated user management that oversees the assignment and administration of roles and access rights for different project partners.
              </li>
              <li>an efficient document management system that effectively manages projects and objects on different levels and reflects the complex relationships between them.
              </li>
              <li>a Workflow Tool which enables the semi-automatic processing of data.
              </li>
              <li>a version management to ensure that the work process is comprehensively documented via interim revisions. Documents that are "published" in a final form to the TextGrid Repository cannot be deleted; however, updates and new versions can be added..
              </li>
            </ul>
            <p>
              <strong>Decentralized Workspace</strong>
            </p>
            <p>
              Users can access the TextGrid Lab and Rep independent of location and work together on complex research projects.
            </p>
            <p>
              <strong>Standardization</strong>
            </p>
            <p>
              The controlled metadata vocabulary and open standards facilitate the exchange of data, text retrieval, and digital archiving.
            </p>
            <p>
              <strong>Expandability</strong>
            </p>
            <p>
              TextGrid is extensible and enables users to enhance existing tools or to plug in new tools and services, either as external web services or as interactive tools using the Eclipse Rich Client Platform.
            </p>
            <p>
              <strong>Modularity</strong>
            </p>
            <p>
              The TextGrid Lab is modular in design, with the XML Editor serving as the core element on which the VRE is built. A large number of tools and services are associated with the XML Editor and can be arranged and combined according to the individual needs of the project. Some tools allow the insertion of elements into the source text of the XML Editor; others have a structural connection to the XML Editor. The open interface also allows for the integration of new, specially developed applications. This modular structure facilitates work processes in the virtual research environment.
            </p>
            <p>
              <strong>Assignment of User Rights</strong>
            </p>
            <p>
              TextGrid provides a sophisticated role-based access control (OpenRBAC) system to manage access rights. Each TextGrid Project must have at least on Project Managed assigned to it, and this role has the right to delegate (assign and remove) additional roles to other users. Only users who have been assigned a role in a Project have access to its unpublished content. Using this system, user roles can also be assigned temporarily, such as when short-term participation is necessary in a Project to perform a specific task. In this way the Project Manager(s) can control the accessibility to the project data, thus guaranteeing secure and reliable teamwork and data storage in a research environment accessible worldwide.
            </p>
            <p>
              <strong>Distributed Storage</strong>
            </p>
            <p>
              The TextGrid Repository has distributed storage which consists of two main parts. The initial activation, creation, and editing of files is saved in the TextGrid Rep. The data is stored and secured in a search index and has no persistent identifier. The first search index (Search Index 1) is dynamic, which means that it contains data which can be only accessed by a TextGrid Lab user who has been assigned access rights by the Project Manager(s). This data can only be modified or deleted by those who have been assigned a role that allows them the authority to edit and delete.
            </p>
            <p>
              After the Project Manager(s) decide to publish the data in its finalized format, the data is transferred to the second search index, Search Index 2. The data then disappears from Search Index 1 and is provided with a unique PID in order to be referenced uniquely. The files that have been transferred and "published" can no longer be changed or deleted. Later modifications to the data can only be carried out by copying and re-importing a file back to Index 1.
            </p>
            <p>
              Search Index 2 is accessible to everyone with access to the World Wide Web. Its character is static, which means its data is unchangeable. Huge data amounts can also be uploaded from other archives or publication servers and made available through the TextGrid Rep. Both TextGrid Lab users and the general public can browse Search Index 2. After using the <a href="Search_7439470.html">Search Tool</a> in TextGrid Lab, the user receives a list of results. These search results are an accurate reflection of the TextGrid Rep inventory. They are presented in exactly the same order as the search results in the TextGrid Rep that appear after a search has been performed on the TextGridRep website that is available without logging in to the TextGrid Lab.
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
